export default [
  {
    key: "code",
    title: "编码",
    type: "Input",
    search: true,
  },
  {
    key: "name",
    title: "名称",
    type: "Input",
    search: true,
  },
  {
    key: "specification",
    title: "规格",
    type: "Input",
    search: true,
  },
  {
    key: "manufacturerIdName",
    title: "生产厂家",
    type: "Input",
    search: true,
  },
  {
    key: "unitIdName",
    title: "单位",
    type: "Input",
    search: true,
  },
  {
    key: "registrationNo",
    title: "注册证号",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.registrationNo;
    },
  },
  {
    key: "isDrug",
    title: "物料药品属性",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.isDrug == "0" ? "Y" : "N";
    },
  },
];
